/*
 * Copyright 2006 Google Inc.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.google.gwt.user.client.ui.impl;

import com.google.gwt.user.client.DOM;
import com.google.gwt.user.client.Element;

/**
 * TODO
 */
public class PopupImpl {

  public Element createElement() {
    return DOM.createDiv();
  }

  public void fixup(Element popup) {
  }

  public void setChild(Element popup, Element child) {
    DOM.appendChild(popup, child);
  }

  public void setClassName(Element popup, String className) {
    DOM.setAttribute(popup, "className", className);
  }

  public void setHeight(Element popup, String height) {
    DOM.setStyleAttribute(popup, "height", height);
  }

  public void setWidth(Element popup, String width) {
    DOM.setStyleAttribute(popup, "width", width);
  }
}
